package app16a.util;

import javax.naming.Context;
import javax.naming.InitialContext;
import javax.naming.NamingException;
import javax.sql.DataSource;

public class Cache {
	private static Cache instance;
  private DataSource dataSource;
	static {
		instance = new Cache();
	}
	private Cache () {
	  Context context = null;   
	  try {
	  	context = new InitialContext();
	    dataSource = (DataSource) context.lookup("java:/comp/env/jdbc/myDataSource");
	  }
	  catch (NamingException e) {	
	    System.out.println(e.toString());
	  }
	}
	public static Cache getInstance() {
	  return instance;
	}
	public DataSource getDataSource() {
    return dataSource;
	}
}
